#include "MemoryItem.h"


namespace armarx::armem::base::detail
{

    MemoryItem::MemoryItem()
    {
    }

    MemoryItem::MemoryItem(const MemoryID& id) :
        _id(id)
    {
    }

    MemoryItem::MemoryItem(const MemoryItem& other) :
        _id(other.id())
    {}


    MemoryItem::~MemoryItem()
    {
    }

    MemoryItem& MemoryItem::operator=(const MemoryItem& other)
    {
        other._copySelf(*this);
        return *this;
    }

    void MemoryItem::_copySelf(MemoryItem& other) const
    {
        other.id() = id();
    }

}
