#pragma once

#include "../../base/detail/TypedEntityContainerBase.h"
#include "EntityContainer.h"

#include <RobotAPI/libraries/aron/core/navigator/type/container/Object.h>

namespace armarx::armem::wm::detail
{

    /**
     * @brief An entity container with a specific (Aron) type.
     */
    template <class _ValueT, class _Derived>
    class TypedEntityContainer :
        virtual public base::detail::TypedEntityContainerBase<_ValueT, Entity, _Derived>,
        virtual public EntityContainer<_ValueT, _Derived>
    {
    public:
        TypedEntityContainer& operator=(const TypedEntityContainer& other)
        {
            other._copySelf(*this);
            return *this;
        }
    };
}
